// This file is automatically generated by sila2lib.proto_builder.proto_builder version 0.3.6
// :generation date: 2021-04-09 15:29:03
//
// ---- PLEASE DO NOT MODIFY MANUALLY !! ---

syntax = "proto3";
import "SiLAFramework.proto";
package sila2.org.silastandard.examples.displaycontroller.v1;

// Feature: Display Controller
//   
//           THis feature contains functions to control the balances display.
//           By Lukas Bromig, Institute of Biochemical Engineering, Technical University of Munich, 20.05.2019
//   
service DisplayController {
    // Write to Display
    //   Write text to the balance display.
    rpc WriteToDisplay(sila2.org.silastandard.examples.displaycontroller.v1.WriteToDisplay_Parameters) returns (sila2.org.silastandard.examples.displaycontroller.v1.WriteToDisplay_Responses) {}
    // Show Weight
    //   Resets the display after using the WriteToDisplay command. The device display will show the current weight value and
    //   unit.
    rpc ShowWeight(sila2.org.silastandard.examples.displaycontroller.v1.ShowWeight_Parameters) returns (sila2.org.silastandard.examples.displaycontroller.v1.ShowWeight_Responses) {}
    
    
}

// ----------------- Data Type definitions -----------------


// ------ Command Parameter and Response definitions -------
message WriteToDisplay_Parameters {
    sila2.org.silastandard.String Text = 1;
}

message WriteToDisplay_Responses {
    sila2.org.silastandard.Boolean Successful = 1;
}

message ShowWeight_Parameters {
    
}

message ShowWeight_Responses {
    sila2.org.silastandard.Boolean Successful = 1;
}


// ----------------- Metadata Definitions ------------------
